# Mustang CLI

### Setup
- Run the following command to install or update the cli 
    ```bash
    dart pub global activate open_mustang_cli
    ```

### Commands
- Usage
    ```bash
    omcli
    ```

- Create the screen and model files
    ```bash
    omcli -s booking
    ```
  
- Create a model file
    ```bash
    omcli -m vehicle
    ```

- Generate framework source files
    ```bash
    omcli -w 
    ```

- Clean generated framework source files
    ```bash
    omcli -d 
    ```

### Config file (Advanced)
Source templates that this tool generates can be customized using config file.

 - Create file name `mustang.yaml` in the root of the project directory
 - Config file format
```yaml
  # Use serializers from the specified dependant package
  serializer: package:mypackage/mypackage_exports.dart
  # customize generated screen template source files
  screen:
    imports:
      # include the following import in all screen template source files
      - package:my_widgets/widgets.dart
    # Use custom progress indicator in the screen template source files
    progress_widget: MyProgressIndicatorScreen()
    # Use custom error widget in the screen template source files
    error_widget: MyErrorScreen()
```
